Table of Contents

## Name

Blt_TreeExists - Indicates if a tree exists.

## Synopsis

    #include <bltTree.h>

    int
    Blt_TreeExists(interp, name)

## Arguments

Tcl_Interp *interp`` `` (in)
`` `` Interpreter to determine current namespace context.

const char *name`` `` (in)
`` `` Name of an existing tree data object. Can be qualified by a namespace.

## Description

This procedure determines if a C-based tree data object exists by a given name. The arguments are as follows:

interp
  Used the determine the current namespace context.
name
  Name of an existing tree data object. Name can be qualified by a namespace such as fred::myTree. If no namespace qualifier is used, the current namespace is searched, then the global namespace.

## Returns

A boolean result is returned. If the tree exists 1 is returned, 0 otherwise.

## Example

The following example checks if a tree "myTree" exists.
`if (!Blt_TreeExists(interp, "myTree")) {
fprintf(stderr, "can't find tree \"myTree\\n");
}

##

`Keywords tree, token Tcl_TreeCreate, Tcl_TreeGetToken, Tcl_TreeReleaseToken

Table of Contents

- Name
- Synopsis
- Arguments
- Description
- Returns
- Example
- Keywords